=pod

=head1 NAME

DH_size - get Diffie-Hellman prime size

=head1 SYNOPSIS

 #include <openssl/dh.h>

 int DH_size(DH *dh);

=head1 DESCRIPTION

This function returns the Diffie-Hellman size in bytes. It can be used
to determine how much memory must be allocated for the shared secret
computed by DH_compute_key().

B<dh-E<gt>p> must not be B<NULL>.

=head1 RETURN VALUE

The size in bytes.

=head1 SEE ALSO

L<dh(3)|dh(3)>, L<DH_generate_key(3)|DH_generate_key(3)>

=head1 HISTORY

DH_size() is available in all versions of SSLeay and OpenSSL.

=cut
